org.eclipse.wst.jsdt.ui

## Interface IJavaScriptElementSearchConstants

    public interface IJavaScriptElementSearchConstants

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `CONSIDER_ALL_TYPES` Search scope constant indicating that classes, interfaces, annotations and enums should be considered.
`static int` `CONSIDER_ANNOTATION_TYPES` Search scope constant indicating that annotation types should be considered.
`static int` `CONSIDER_BINARIES` Search scope constant (bit mask) indicating that binaries should be considered.
`static int` `CONSIDER_CLASSES` Search scope constant indicating that classes should be considered.
`static int` `CONSIDER_CLASSES_AND_ENUMS` Search scope constant indicating that only classes and enumeration types should be considered.
`static int` `CONSIDER_CLASSES_AND_INTERFACES` Search scope constant indicating that only classes and interfaces should be considered.
`static int` `CONSIDER_ENUMS` Search scope constant indicating that enums should be considered.
`static int` `CONSIDER_EXTERNAL_JARS` Search scope constant (bit mask) indicating that external JARs should be considered.
`static int` `CONSIDER_INTERFACES` Search scope constant indicating that interfaces should be considered.
`static int` `CONSIDER_REQUIRED_PROJECTS` Search scope constant (bit mask) indicating that required projects should be considered.

### Field Detail

#### CONSIDER_CLASSES

    static final int CONSIDER_CLASSES

Search scope constant indicating that classes should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_INTERFACES

    static final int CONSIDER_INTERFACES

Search scope constant indicating that interfaces should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_BINARIES

    static final int CONSIDER_BINARIES

Search scope constant (bit mask) indicating that binaries should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_EXTERNAL_JARS

    static final int CONSIDER_EXTERNAL_JARS

Search scope constant (bit mask) indicating that external JARs should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_REQUIRED_PROJECTS

    static final int CONSIDER_REQUIRED_PROJECTS

Search scope constant (bit mask) indicating that required projects should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_ANNOTATION_TYPES

    static final int CONSIDER_ANNOTATION_TYPES

Search scope constant indicating that annotation types should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_ENUMS

    static final int CONSIDER_ENUMS

Search scope constant indicating that enums should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  Constant Field Values

#### CONSIDER_ALL_TYPES

    static final int CONSIDER_ALL_TYPES

Search scope constant indicating that classes, interfaces, annotations and enums should be considered.

See Also:
  Constant Field Values

#### CONSIDER_CLASSES_AND_INTERFACES

    static final int CONSIDER_CLASSES_AND_INTERFACES

Search scope constant indicating that only classes and interfaces should be considered.

See Also:
  Constant Field Values

#### CONSIDER_CLASSES_AND_ENUMS

    static final int CONSIDER_CLASSES_AND_ENUMS

Search scope constant indicating that only classes and enumeration types should be considered.

See Also:
  Constant Field Values